/*

// gallery.css
// The gallery section
// Image Overlay, the Image Grid and everything else

*/

.imagegrid {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 5px;
    justify-content: space-between;
    margin-bottom: 5px;
}

.imagegrid img {
    height: 100px;
    width: 100px;
    object-fit: cover;
    object-position: center;
    border: white 1px solid;
    flex-grow: 1;
    transition: transform 0.5s;
}

.imagegrid img:hover {
    transform: scale(1.05);
    transition: transform 0.33s;
    cursor: pointer;
}

#overlay {
  position: fixed; /* Sit on top of the page content */
  display: none; /* Hidden by default */
  width: 100%; /* Full width (cover the whole page) */
  height: 100%; /* Full height (cover the whole page) */
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5); /* Black background with opacity */
  z-index: 100;
  cursor: pointer; /* Add a pointer on hover */
}

#overlaygrid {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
}

#overlaygridimage img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    max-height: 90%;
}

#overlayexplainer,
#overlayexplainermobile {
    position: absolute;
    border: white 1px solid;
    background-color: transparent;
    bottom: 1%;
    backdrop-filter: blur(10px) brightness(75%);
    z-index: 150;
}

#overlayexplainer table,
#overlayexplainermobile table {
    margin: 5px;
}

.previewgrid {
    display: grid;
    column-gap: 10px;
    row-gap: 10px;
    grid-template-columns: auto 30%;
    height: 99vh;
}

.previewgridimage img {
    max-height: 97vh;
}

.subtle p {
    color: rgba(255,255,255,0.33)
}

table {
    width: 100%;
    font-family: monospace;
}

table th {
    color: white;
    text-align: right;
    width: 35%;
    padding-top: 10px;
    padding-bottom: 10px;
}

table td {
    color: white;
    padding: 5px;
}

.tablewrapper {
    margin-left: 10px;
    margin-right: 10px;
    border: 1px solid;
    border-color: rgba(255, 255, 255, 0.5);
    border-radius: 5px;
    backdrop-filter: brightness(0%);
    margin-bottom: 10px;
}

table {
    border:none;
    border-collapse: collapse;
}

table td img {
    padding-top: 2px;
    padding-bottom: 2px;
    width: 28px;
    height: 28px;
}

table tr {
    border-top: 1px solid rgba(255, 255, 255, 0.25);
    border-top: 1px solid rgba(255, 255, 255, 0.25);
}

table tr:first-child {
    border-top: none;
}

table tr:last-child {
    border-bottom: none;
}

.tableflex {
    display: flex;
    flex-direction: row;
    gap: 10px;
    margin-left: 10px;
}

.text {
    color: rgba(255,255,255,0.75);
    padding-top: 8px;
    padding-bottom: 8px;
}

/* 1000px - switch to mobile */
@media screen and (max-width: 1000px) {

    .previewgrid {
        grid-template-columns: auto;
    }
    
    .mobiletweak {
    height: 85vh;
    }
}